1. Item
itemdb API Guide
  • General
    • Getting Started
    • API Access
    • Slugs
    • Widget
      • Widget
      • Tab Example
  • v1
    • Item
      • Get latest items
        GET
      • Get an item
        GET
      • Get item's price history
        GET
      • Get item's auction history
        GET
      • Get item's restock history
        GET
      • Get item's trade history
        GET
      • Get items color palette
        GET
      • Get item's color palette
        POST
      • Get many items
        GET
      • Get many items
        POST
      • Get Item Drops Data
        GET
      • Get Dyeworks Variants
        GET
      • Get MME Paths
        GET
      • Get Item Effects
        GET
      • Get Cooking Pot Recipes
        GET
    • Search
      • Search for an item
    • Lists
      • Get List Info
      • Get List Item Info
      • Get List Item Data
    • Misc
      • Get all ways to change a Pet Color/Species
      • Get wearable preview
      • Get cached item's thumbnail
    • Schemas
      • Schemas
        • SaleStatus
        • ItemMallData
        • UseTypes
        • ListData
        • ListItemInfo
        • ItemData
        • itemColorData
        • ItemPriceData
        • OwlsData
        • ItemRestockData
        • ItemAuctionData
        • TradeData
        • TradeItem
        • UserList
        • ListItemInfo
        • ColorData
        • SearchFilters
  • v2
    • Intents & Cache
    • Items
      • Get a single item
      • Get many items
      • Get many items
    • Search
      • Search items
    • Lists
      • Get a list's items
    • Schemas
      • ItemIntent
      • ItemFlags
      • ItemPriceField
      • ItemPriceV2
      • NCValue
      • ItemSaleStatusV2
      • UseTypes
      • ThreeStateBoolean
      • ItemV2Minimal
      • ItemV2Card
      • ItemV2Pricer
      • ItemV2Full
      • Error
  1. Item

Get item's trade history

GET
https://itemdb.com.br/api/v1/items/{name}/trades
Data Point Cost:Number of trade data returned
Get the trade history for an item

Request

Path Params

Responses

🟢200OK
application/json
Returns TradeData[]
Bodyapplication/json

Example
[
    {
        "recent": [
            {
                "trade_id": 0,
                "owner": "string",
                "priced": true,
                "hash": "string",
                "items": [
                    {
                        "internal_id": 0,
                        "trade_id": 0,
                        "name": "string",
                        "image": "string",
                        "image_id": "string",
                        "price": 0,
                        "order": 0,
                        "addedAt": "string"
                    }
                ],
                "wishlist": "string",
                "processed": true,
                "addedAt": "string"
            }
        ],
        "priced": 0,
        "total": 0,
        "uniqueOwners": 0,
        "period": "string"
    }
]
Modified at 2026-04-26 15:05:18
Previous
Get item's restock history
Next
Get items color palette
Built with